package com.seeyon.cip.spi.capability.demo.sms;

import com.seeyon.boot.exception.BusinessException;
import com.seeyon.cip.provider.api.common.ParameterService;
import com.seeyon.cip.provider.api.sms.SmsSignAutoService;
import com.seeyon.cip.provider.common.util.CipCapabilityInstanceUtils;
import com.seeyon.cip.provider.dto.sms.SmsQuerySignDto;
import com.seeyon.cip.provider.dto.sms.SmsSignDto;
import lombok.extern.slf4j.Slf4j;

/**
 * @Description: 短信签名实现类
 * @Author: lixuh
 * @DateTime: 2024-08-22 14:58
 */
@Slf4j
public class DemoSmsSignAutoServiceImpl implements SmsSignAutoService {


    /**
     * 获取spring中的类
     */
    private ParameterService parameterService = CipCapabilityInstanceUtils.getBean(ParameterService.class);
    /**
     * 申请短信签名
     *
     * @param smsSignDto:短信签名请求dto：包括签名名称、申请原因、短信模板类型、签名审核状态、审核备注、资质证明、委托证明等信息
     * @return
     */
    @Override
    public String addSign(SmsSignDto smsSignDto) throws BusinessException {

        return null;
    }

    /**
     * 主动查询签名
     *
     * @param tags 厂商标识
     * @return
     */
    @Override
    public SmsSignDto querySign(String tags) throws BusinessException {
        log.info("查询签名");
        return null;
    }

    /**
     * 更新签名
     *
     * @param smsSignDto
     * @return
     */
    @Override
    public String updateSign(SmsSignDto smsSignDto) throws BusinessException {
        log.info("更新签名");
        return null;
    }

    /**
     * 删除签名
     *
     * @param signName
     * @return
     */
    @Override
    public void deleteSign(String signName) throws BusinessException {

        log.info("删除签名");

    }

    /**
     * 按需实现
     * 订阅回调通知
     *
     * @param message
     * @return
     */
    @Override
    public SmsQuerySignDto subscribeSign(String message) {

        return null;
    }

    /**
     * 对应短信实现对应的厂家标识(javaBean)
     *
     * @return
     */
    @Override
    public String provider() {
        return "demoSmsServiceImpl";
    }
}
